org.apache.jmeter.protocol.http.util.accesslog

## Class OrderPreservingLogParser

- java.lang.Object
- - org.apache.jmeter.protocol.http.util.accesslog.TCLogParser
  - - org.apache.jmeter.protocol.http.util.accesslog.SharedTCLogParser
    - - org.apache.jmeter.protocol.http.util.accesslog.OrderPreservingLogParser

- All Implemented Interfaces:
    java.lang.Cloneable, LogParser, TestCloneable

      public class OrderPreservingLogParser
      extends SharedTCLogParser

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.protocol.http.util.accesslog.TCLogParser

      `decode, FILENAME, FILTER, GET, HEAD, log, POST, READER, RMETHOD, SOURCE, URL_PATH, useFILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderPreservingLogParser()`
    `OrderPreservingLogParser(java.lang.String source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `parseAndConfigure(int count, TestElement el)` parse a set number of lines from the access log.

    - ### Methods inherited from class org.apache.jmeter.protocol.http.util.accesslog.SharedTCLogParser

      `clone, close, parse, parse`

    - ### Methods inherited from class org.apache.jmeter.protocol.http.util.accesslog.TCLogParser

      `checkMethod, checkParamFormat, checkURL, cleanURL, convertStringToJMRequest, convertStringtoNVPair, decodeParameterValue, parse, parseLine, parseOneParameter, parseParameters, setDecodeParameterValues, setFilter, setSourceFile, setUseParsedFile, stripFile, tokenize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderPreservingLogParser

          public OrderPreservingLogParser()

    - #### OrderPreservingLogParser

          public OrderPreservingLogParser(java.lang.String source)

  - ### Method Detail

    - #### parseAndConfigure

          public int parseAndConfigure(int count,
                                       TestElement el)

      parse a set number of lines from the access log. Keep in mind the number of lines parsed will depend the filter and number of lines in the log. The method returns the actual lines parsed.
      Specified by:
        `parseAndConfigure` in interface `LogParser`
      Overrides:
        `parseAndConfigure` in class `TCLogParser`
      Parameters:
        `count` - number of max lines to read
        `el` - `TestElement` to read lines into
      Returns:
        lines parsed

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.